# CMxBigStringArray Class

Namespace: `ArchestrA.Toolkit`

CMxBigStringArray is derived from CMxStringArray and provides support for BigString Array Attributes.

**Syntax**

```csharp
public class CMxBigStringArray : CMxStringArray
```

## CMxBigStringArray Constructors

### CMxBigStringArray Constructor int

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxBigStringArray(int length);
```

**Parameters**

**`length`**

[in] integer value that holds the array length.

### CMxBigStringArray Constructor string[ ]

Provides a constructor to initialize the class with a string array default value.

**Syntax**

```csharp
public CMxBigStringArray (string[] value);
```

**Parameters**

**`value`**

[in] string[ ].

### CMxBigStringArray Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxBigStringArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxBigStringArray Operator Overloads

### CMxValue Operator Overload CMxBigStringArray

Provides an operator to convert CMxBigStringArray to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxBigStringArray val);
```

**Parameters**

**`val`**

[in] CMxBigStringArray value to convert to CMxValue.

**Returns**

CMxValue

### String[] Operator Overload CMxBigStringArray

Provides an operator to convert CMxBigStringArray to string array.

**Syntax**

```csharp
public static implicit operator string[](CMxBigStringArray val);
```

**Parameters**

**`val`**

[in] CMxBigStringArray value to convert to string[ ].

**Returns**

string[ ]

### CMxBigStringArray Operator Overload CMxValue

Provides an operator to convert CMxValue to CMxBigStringArray.

**Syntax**

```csharp
public static implicit operator CMxBigStringArray (CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxBigStringArray.

**Returns**

CMxBigStringArray

### CMxBigStringArray Operator Overload string[ ]

Provides an operator to convert string array to CMxBigStringArray.

**Syntax**

```csharp
public static implicit operator CMxBigStringArray (string[] val);
```

**Parameters**

**`val`**

[in] string[ ] value to convert to CMxBigStringArray.

**Returns**

CMxBigStringArray
